summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorChristoph Junghans <junghans@lanl.gov>2019-02-23 16:18:33 -0700
committerChristoph Junghans <junghans@lanl.gov>2019-02-23 16:18:33 -0700
commit2bb18de64d795b626c3f1976b19cb2afcbd2e44e (patch)
tree183e65c50fe2f85655000618739452ca6cfb091f
parentfab858d958349a92b15e8d19b768ec145a77731d (diff)
downloadfedora-review-2bb18de64d795b626c3f1976b19cb2afcbd2e44e.tar.gz
fedora-review-2bb18de64d795b626c3f1976b19cb2afcbd2e44e.tar.xz
fedora-review-2bb18de64d795b626c3f1976b19cb2afcbd2e44e.zip
libaec: fixed a typo V
-rwxr-xr-xreview.sh16
1 files changed, 7 insertions, 9 deletions
diff --git a/review.sh b/review.sh
index aebb1b1..5c6ca5b 100755
--- a/review.sh
+++ b/review.sh
@@ -2,20 +2,18 @@
PKG="$1"
MOCK_CONFIG="$2"
+EXIT_CODE=0
H=/travis/$PKG
-dnf -q -y install fedora-review spectool
+dnf -q -y install fedora-review spectool sudo
useradd -d ${H} -g mock review
cd /travis/$PKG
spectool -g ${PKG}.spec
rpmbuild -D"_sourcedir ${PWD}" -D"_srcrpmdir ${PWD}" -bs ${PKG}.spec
chown -R review:mock ${H}
-if ! /travis/spinner.sh su - -c 'fedora-review -v --mock-config ${MOCK_CONFIG} -n ${PKG} --mock-options "--no-bootstrap-chroot --no-cleanup-after --no-clean --old-chroot" review'; then
- cat .cache/fedora-review.log
- find review-${PKG} -name '*.log' -print -exec cat {} ;
- exit 1
-fi
-find review-${PKG} -name '*.log' -print -exec cat {} ;
-cat review-${PKG}/licensecheck.txt
-cat review-${PKG}/review.txt
+/travis/spinner.sh sudo -u review fedora-review -v --mock-config ${MOCK_CONFIG} -n ${PKG} --mock-options "--no-bootstrap-chroot --no-cleanup-after --no-clean --old-chroot" || EXIT_CODE=1
+find "review-${PKG}" -name '*.log' -print -exec cat {} ; || true
+cat review-${PKG}/licensecheck.txt || true
+cat review-${PKG}/review.txt || true
+exit ${EXIT_CODE}